Summary:          Software and/or Hardware watchdog daemon
Name:             watchdog
Version:          5.16
Release:          4%{?dist}
License:          GPLv2+
URL:              http://sourceforge.net/projects/watchdog/
Source0:          http://downloads.sourceforge.net/watchdog/watchdog-%{version}.tar.gz
Source1:          watchdog.service
Source2:          watchdog-ping.service

Patch0001:        0001-Choose-libtirpc-or-another-RPC-library-for-XDR-heade.patch
Patch0002:        0002-mem-leak-verbose.patch

Patch3000:        0099-watchdog-5.16-rhseldoc.patch

BuildRequires:    make gcc autoconf automake
BuildRequires:    libtirpc-devel systemd-units

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
Watchdog is a daemon that checks if your system is still working. If
programs in user space are not longer executed it will reboot the system.
However, this will not always work.


%prep
%autosetup -p1


%build
autoreconf -fiv
%configure \
    CFLAGS="%{__global_cflags} -I/usr/include/tirpc" \
    LDFLAGS="%{__global_ldflags} -ltirpc"
%make_build


%install
install -d -m0755 %{buildroot}%{_sysconfdir}
install -d -m0755 %{buildroot}%{_sysconfdir}/watchdog.d
%make_install
install -Dp -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/watchdog.service
install -Dp -m0644 %{SOURCE2} %{buildroot}%{_unitdir}/watchdog-ping.service
install -Dd -m0755 %{buildroot}%{_libexecdir}/watchdog/scripts
rm %{name}.sysconfig


%post
%systemd_post watchdog.service

%preun
%systemd_preun watchdog.service
%systemd_preun watchdog.ping.service

%postun
%systemd_postun_with_restart watchdog.service
%systemd_postun_with_restart watchdog.ping.service



%files
%license COPYING
%doc AUTHORS ChangeLog COPYING examples/ IAFA-PACKAGE NEWS README TODO README.watchdog.ipmi
%{_sbindir}/watchdog
%{_sbindir}/wd_identify
%{_sbindir}/wd_keepalive
%{_unitdir}/watchdog.service
%{_unitdir}/watchdog-ping.service
%{_sysconfdir}/watchdog.d
%{_libexecdir}/watchdog/scripts
%config(noreplace) %{_sysconfdir}/watchdog.conf
%{_mandir}/man5/watchdog.conf.5*
%{_mandir}/man8/watchdog.8*
%{_mandir}/man8/wd_identify.8*
%{_mandir}/man8/wd_keepalive.8*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.16-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.16-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.16-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 cunshunxia <cunshunxia@tencent.com> - 5.16-1
- initial build
